// server/middlewares/authenticateToken.js
const jwt = require('jsonwebtoken');

function authenticateToken(req, res, next) {
    const token = req.headers['authorization']?.split(' ')[1]; // Using optional chaining
    if (!token) return res.sendStatus(401); // Using negation (!) for clarity

    jwt.verify(token, process.env.JWT_SECRET, (err, user) => {
        if (err) return res.sendStatus(403); // Forbidden if there's an error
        req.user = user;
        next(); // Token is valid, proceed to the next middleware
    });
}

module.exports = authenticateToken;
