import React from 'react';
import { ResponsiveBar } from '@nivo/bar';

// Updated data for student learning types
const data = [
 {
    "Learning Type": "Visual",
    "Students": 50
 },
 {
    "Learning Type": "Auditory",
    "Students": 30
 },
 {
    "Learning Type": "Read/Write",
    "Students": 20
 },
 {
    "Learning Type": "Kinesthetic",
    "Students": 10
 }
];

const Insights = () => (
 <div style={{ height: '400px' }}>
    <ResponsiveBar
      data={data}
      keys={['Students']}
      indexBy="Learning Type"
      margin={{ top: 50, right: 130, bottom: 50, left: 60 }}
      padding={0.3}
      groupMode="grouped"
      colors={{ scheme: 'nivo' }}
      borderColor={{ from: 'color', modifiers: [['darker', 1.6]] }}
      axisBottom={{
        tickSize: 5,
        tickPadding: 5,
        tickRotation: 0,
        legend: 'Learning Type',
        legendPosition: 'middle',
        legendOffset: 32
      }}
      axisLeft={{
        tickSize: 5,
        tickPadding: 5,
        tickRotation: 0,
        legend: 'Number of Students',
        legendPosition: 'middle',
        legendOffset: -40
      }}
      labelSkipWidth={12}
      labelSkipHeight={12}
      labelTextColor={{ from: 'color', modifiers: [['darker', 1.6]] }}
      legends={[
        {
          dataFrom: 'keys',
          anchor: 'bottom-right',
          direction: 'column',
          justify: false,
          translateX: 120,
          translateY: 0,
          itemsSpacing: 2,
          itemWidth: 100,
          itemHeight: 20,
          itemDirection: 'left-to-right',
          itemOpacity: 0.85,
          symbolSize: 20,
          effects: [
            {
              on: 'hover',
              style: {
                itemOpacity: 1
              }
            }
          ]
        }
      ]}
    />
 </div>
);

export default Insights;
